Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class HostPatch.Record

    java.lang.Object
      com.xensource.xenapi.HostPatch.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  HostPatch

    public static class HostPatch.Record

extends Object
implements Types.Record

Represents all the fields in a HostPatch

Field Summary
`Boolean` | `applied` True if the patch has been applied
`Host` | `host` Host the patch relates to
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`PoolPatch` | `poolPatch` The patch applied
`Long` | `size` Size of the patch
`Date` | `timestampApplied` Time the patch was applied
`String` | `uuid` Unique identifier/object reference
`String` | `version` Patch version number

Constructor Summary
`HostPatch.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a host_patch.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### version

    public String version

  Patch version number

### host

    public Host host

  Host the patch relates to

### applied

    public Boolean applied

  True if the patch has been applied

### timestampApplied

    public Date timestampApplied

  Time the patch was applied

### size

    public Long size

  Size of the patch

### poolPatch

    public PoolPatch poolPatch

  The patch applied

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

Constructor Detail

### HostPatch.Record

    public HostPatch.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a host_patch.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD